# Name: moy-ec.py
#
# Authors: F. Tarissan
# Purpose: compute the mean and standard deviation of list of value
#
# Input : line : t m d1 d2 d3 ... dn
#
# Output : t m mean std
#
#####################################

import sys
from numpy import mean, std

# read from stdin
# compute mean and std
# write on stdout

def compute_mean_ec():

	for line in sys.stdin:
		l= line.strip().split()

		t=int(l[0])
		m=int(l[1])
		deg=map(int,l[2:])

		sys.stdout.write("%d %d %f %f\n"%(t,m,mean(deg),std(deg)))
		

# Main loop
if __name__ == '__main__':
	# handling arguments
	if len(sys.argv) != 1:
		sys.stderr.write("Usage: %s\n"%sys.argv[0])
		sys.exit(1)
		
	compute_mean_ec()
